Networks

Attach private network

post/vps/{vps_id}/network

Attach a private network to a VPS. The server must be restarted for changes to take effect.

Authorization

Authorization
Authorization*string

Bearer YOUR_API_TOKEN with an API token. The X-API-Key: YOUR_API_TOKEN header works too.

Path parameters

vps_id*integer
Range1 ≤ value

Request body

application/jsonRequired
network_id*integer

Responses

Successful Response

application/json

detail*string

Human-readable confirmation message.